Docs Fal.ai /fal-ai/flux-1/dev/image-to-image
API reference

/fal-ai/flux-1/dev/image-to-image

Official docs: https://fal.ai/models/fal-ai/flux-1/dev/image-to-image

POST/fal-ai/flux-1/dev/image-to-image

Body Parametersapplication/json

acceleration string

Generation speed. Higher is faster. Default: "regular". Supported: default, none, regular, high

enable_safety_checker boolean

Whether to enable the safety checker

guidance_scale number

CFG (classifier-free guidance) scale: how closely to follow the prompt. Default: 3.5. Range: 1–20

image_url* string

Drop a file here, or provide a base64 data URL. Accepted: jpg, jpeg, png, webp, gif, avif

num_images integer

Number of images to generate. Default: 1. Range: 1–4

num_inference_steps integer

Number of inference steps. Default: 40. Range: 10–50

output_format string

Output image format. Default: "jpeg". Supported: default, png, jpeg

prompt* string

Prompt for image generation

strength number

Strength of the initial image. Higher values lean more on the model. Default: 0.95. Range: 0.01–1

Responses

200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"acceleration": "regular",
3"enable_safety_checker": true,
4"guidance_scale": 3.5,
5"image_url": "https://fal.media/files/koala/Chls9L2ZnvuipUTEwlnJC.png",
6"num_images": 1,
7"num_inference_steps": 40,
8"output_format": "jpeg",
9"prompt": "A cat dressed as a wizard with a background of a mystic forest.",
10"strength": 0.95
11}
Code Sample cURL
1curl -X POST "https://api.digislash.com/fal-ai/flux-1/dev/image-to-image" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"acceleration": "regular",
6"enable_safety_checker": true,
7"guidance_scale": 3.5,
8"image_url": "https://fal.media/files/koala/Chls9L2ZnvuipUTEwlnJC.png",
9"num_images": 1,
10"num_inference_steps": 40,
11"output_format": "jpeg",
12"prompt": "A cat dressed as a wizard with a background of a mystic forest.",
13"strength": 0.95
14}'
Response
1▼{
2"cancel_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730/cancel",
3"metrics": {},
4"queue_position": 0,
5"request_id": "acf05732-7cb3-445b-9f39-fdaeccb1d730",
6"response_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730",
7"status": "IN_QUEUE",
8"status_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730/status"
9}